/***********************  MANDELB.CPP  ***********************************
*                                                                        *
*               Simple Mandelbrodt program                               *
*                         using                                          *
*                       C M A T H                                        *
*         with Borland C++ Builder 4 or higher,                          *
*                                                                        *
*   Copyright 1996-2008 by OptiCode - Dr. Martin Sander Software Dev.    *
*                                                                        *
*                                                                        *
*       This sample program is meant to demonstrate how to use           *
*       CMATH within your Windows programs. No efforts are made          *
*       to provide a comfortable user interface etc.                     *
*       Appearance could be considerably improved by refinement          *
*       of color definition.                                             *
*                                                                        *
**************************************************************************/
/*
In the Borland C++ Builder IDE:
	1. a) Borland C++ Builder 6 or higher, including Borland Developer
		  Studio and Turbo C++ 2006:
                  Open the project MANDELB6.BPR.
	   b) Borland C++ Builder 4 or 5:
                  Open the project MANDELB.BPR.
	2. Check that the include and library paths
	   contain your OptiVec directories
	   (Project/Options/Directories).
	3. In Project/Options/Linker, be sure that
	   "Dynamic RTL" is  n o t  checked.
	4. Compile and run.
*/

//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
USERES("mandelb.res");
USEFORM("mandelf.cpp", Form1);
USELIB("LIB\CMATHF4W.LIB");
USELIB("LIB\CMATHFS.LIB");
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
        try
        {
                 Application->Initialize();
                 Application->CreateForm(__classid(TForm1), &Form1);
                 Application->Run();
        }
        catch (Exception &exception)
        {
                 Application->ShowException(&exception);
        }
        return 0;
}
//---------------------------------------------------------------------------
